'use client'

import React from 'react';

import classNames from 'classnames';

import style from './Gallery.module.scss'
import Thumbnail from './Thumbnail';
import { GalleryData } from '@/meta/data';

interface Props {
    data: GalleryData[]
    show: boolean
    locale: string
}

const Gallery: React.FC<Props> = (props) => {

    const { show, locale, data } = props

    return (
        <>
            <div className={classNames(style.galleryContainer, { [style.show]: show })}>
                {data && data.map((elem, key) => {
                    return <Thumbnail
                        show={show}
                        key={key}
                        imgUrl={elem.imgUrl}
                        videoUrl={elem.videoUrl}
                        text={elem.text}
                        locale={locale} />
                })}
            </div>
        </>
    );
};

export default Gallery;