import React, { } from 'react';

import { useLocale, useTranslations } from 'next-intl';

import Wrapper from './Wrapper';
import { GalleryData } from '@/meta/data';

interface Props {
    data: GalleryData[]
}

const Results: React.FC<Props> = (props) => {

    const { data } = props

    const t = useTranslations('Results');
    const locale = useLocale()

    return (<Wrapper data={data} locale={locale} labels={{ toggle: t('toggle'), noData: t('noData') }} />);
};

export default Results;