'use client'

import React from 'react';

import Head from 'next/head';

import { AppProgressBar as ProgressBar } from 'next-nprogress-bar';

import { useAppSelector } from '@/store/store';
import { LAYOUT_COLORS_PINK, LAYOUT_COLORS_YELLOW } from '@/constants/colors';
import { Themes } from '@/meta/settings';

const Layout: React.FC<React.PropsWithChildren> = (props) => {

  const { children } = props;

  const theme = useAppSelector((state) => state.settings.theme);

  return (
    <html data-theme={theme} /*lang={locale}*/>
      <Head>
        <meta charSet="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Proxy Raye: watch porn videos without tracking or annoying ads!</title>
      </Head>
      <body>
        <main className="container">{children}</main>
        <ProgressBar
          height="4px"
          color={theme == Themes.dark ? LAYOUT_COLORS_YELLOW : LAYOUT_COLORS_PINK }
          options={{ showSpinner: false }}
          shallowRouting
        />
      </body>
    </html>
  );
};

export default Layout;