import React from 'react';

import Header from '@/components/Layout/Header';
import SearchBar from '@/components/Layout/SearchBar';
import Results from '@/components/Layout/Results';

import { GalleryData } from '@/meta/data';

interface Props {
  data: GalleryData[]
}

const Home: React.FC<Props> = (props) => {

  const { data } = props;

  return (
    <>
      <Header />
      <SearchBar />
      <Results data={data} />
    </>
  );
};

export default Home;