import fs from 'fs/promises';
import path from 'path';

export const getAppVersion = async (): Promise<string> => {

    let version = ''

    try {

        const packageJsonPath = path.resolve(process.cwd(), 'package.json');

        const data = await fs.readFile(packageJsonPath, 'utf8');

        const packageJson = JSON.parse(data);

        version = packageJson.version

    } catch (error) {
        // handle error
    }

    return version
}
